Horizon::DiskMan::Partition(3)

NAME
Horizon::DiskMan::Partition - partition class of the Horizon Disk Manager

SYNOPSIS
#include <diskman/partition.hh>
class Horizon::DiskMan::Partition;
uint64_t
Partition::size();
const std::string
Partition::node();
const std::string
Partition::fs_type();
const std::string
Partition::fs_label();

DESCRIPTION
The Horizon::DiskMan::Partition class provides information about a partition of a disk attached to the system.

The Partition::size() function provides the size of the partition.

The Partition::node() function provides the device node of the partition.

The Partition::fs_type() and Partition::fs_label() functions provide information about the file system present on the partition if it is present and readable by DiskMan.

RETURN VALUES
The Partition::size() function returns the size of the partition in bytes.

The Partition::node(), Partition::fs_type(), and Partition::fs_label() functions return the requested information as std::string.

SEE ALSO
Horizon::DiskMan::Disk(3), Horizon::DiskMan::DiskMan(3).

HISTORY
The DiskMan library first appeared in Horizon 0.9.

AUTHORS
A. Wilcox <awilfox@adelielinux.org>